GETDAP4(1)                       User Manuals                       GETDAP4(1)



1mNAME0m
       getdap4 - test driver for the libdap library DAP4 protocol

1mSYNOPSIS0m
       1mgetdap4 [dD vVikmzst] [-c 4m22mexpr24m 1m] [-m 4m22mnum24m 1m] 4m22murl24m 1m...0m

       1mgetdap4 [-VvksM] 4m22mfile24m 1m...0m

1mDESCRIPTION0m
       1mgetdap4  22mA  command  line  interface  for  DAP4, the follow-on to DAP2.
       While getdap can be used to access DAP2 response  objects  and  process
       those responses with the libdap client-side software, getdap4 fills the
       same role for DAP4.

       In the first form of the command, dereference the URL and  perform  the
       requested  operations.  This  includes routing the returned information
       through the DAP processing library (parsing the  returned  objects,  et
       c.).  If  neither  of  d or D are used with a URL, then the DAP library
       routines are NOT used and the URLs contents are dumped to standard out-
       put.

       In  the  second  form  of  the  command, assume the files are DAP4 Data
       objects (stored in files or read from pipes) and process them as if  -D
       were given. In this case the information must contain valid MIME header
       in order to be processed or -M should be used.

1mOPTIONS0m
       -i     For each URL, get the server version.

       -d     For each URL, get the the DAP4 DMR response.

       -D     For each URL, get the the DAP4 Data response.

       -v     Verbose output.

       -V     Version of this client; see 'i' for server version.

       -c expr
              4mexpr24m is a constraint expression. Used with -D/X.  You can use  a
              `?' for the CE also.

       -k     Keep temporary files created by libdap.

       -m num Request the same URL 4mnum24m times

       -z     Ask the server to compress data.

       -s     Print Sequences using numbered rows.

       -M     Assume data read from a file has no MIME headers (the default is
              to assume the headers are present).

1mFILES0m
       4m~/.dodsrc0m
              The 4m.dodsrc24m file contains various  parameters  that  affect  the
              runtime  behavior  for  DAP  clients.  See 1mdodsrc22m(5) for further
              details.

1mENVIRONMENT0m
       DODS_CONF
              Specifies an alternate file or directory for the 4m.dodsrc24m file.

1mDIAGNOSTICS0m
       Various self-explanatory messages may be issued on stderr.


1mBUGS0m
       The command name should have been chosen more carefully to reflect  its
       purpose.

       The dodsrc man page needs to be written.

1mAUTHOR0m
       James Gallagher <jgallagher at opendap.org>

1mSEE ALSO0m
       1mdodsrc22m(5)



Linux                            October 2013                       GETDAP4(1)
